<?php
/*
=====================================================
Translate From Russian To English By Arash.N (SyarashTools.com)
Translate From English To Persian By Mohammad_1ta (DatalifeCMS.ir)
-----------------------------------------------------
Copyright (C) 2006-2008 DatalifeCMS.IR !
=====================================================
*/

if(!defined('DLE_FORUM_INSTALL'))
{
  die("Hacking attempt!");
}

	$db_query = array();
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_category";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_category (
	`sid` int(11) NOT NULL auto_increment,
	`cat_name` varchar(128) NOT NULL default '',
	`posi` tinyint(3) NOT NULL default '0',
	KEY `sid` (`sid`)
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";	
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_forums";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_forums (
	`id` int(11) NOT NULL auto_increment,
	`parentid` int(11) NOT NULL default '0',
	`main_id` int(11) NOT NULL default '0',
	`topics` mediumint(6) NOT NULL default '0',
	`posts` mediumint(6) NOT NULL default '0',
	`name` varchar(128) NOT NULL default '',
	`description` text NOT NULL,
	`position` tinyint(3) NOT NULL default '0',
	`status` tinyint(1) NOT NULL default '1',
	`access_read` varchar(150) NOT NULL default '',
	`access_write` varchar(150) NOT NULL default '',
	`access_mod` varchar(150) NOT NULL default '',
	`access_topic` varchar(150) NOT NULL default '',
	`access_upload` varchar(150) NOT NULL default '',
	`access_download` varchar(150) NOT NULL default '',
	`f_last_tid` smallint(5) NOT NULL default '0',
	`f_last_title` varchar(20) NOT NULL default '',
	`f_last_date` datetime NOT NULL default '0000-00-00 00:00:00',
	`f_last_poster_name` varchar(40) NOT NULL default '',
	`password` varchar(32) NOT NULL default '',
	`rules_title` varchar(128) NOT NULL default '',
	`rules` text NOT NULL,
	`icon` varchar(40) NOT NULL default '',
	`moderators` varchar(150) NOT NULL default '',
	PRIMARY KEY  (`id`)
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_topics";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_topics (
	`tid` int(11) NOT NULL auto_increment,
	`forum_id` int(11) NOT NULL default '0',
	`title` varchar(70) NOT NULL default '',
	`topic_descr` varchar(70) NOT NULL default '',
	`post` int(11) NOT NULL default '0',
	`views` int(11) NOT NULL default '0',
	`author_topic` varchar(40) NOT NULL default '',
	`start_date` datetime NOT NULL default '0000-00-00 00:00:00',
	`last_date` datetime NOT NULL default '0000-00-00 00:00:00',
	`last_poster_name` varchar(40) NOT NULL default '',
	`topic_status` int(1) NOT NULL default '0',
	`hidden` int(1) NOT NULL default '0',
	`fixed` int(1) NOT NULL default '1',
	`poll_title` varchar(200) NOT NULL default '',
	`frage` varchar(200) NOT NULL default '',
	`poll_body` text NOT NULL,
	`poll_count` mediumint(8) NOT NULL default '0',
	`answer` varchar(150) NOT NULL default '',
	`multiple` tinyint(1) NOT NULL default '0',
	PRIMARY KEY  (`tid`)
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_posts";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_posts (
	`pid` int(11) NOT NULL auto_increment,
	`topic_id` int(11) NOT NULL default '0',
	`post_date` datetime NOT NULL default '0000-00-00 00:00:00',
	`post_author` varchar(40) NOT NULL default '',
	`post_text` text NOT NULL,
	`post_ip` varchar(16) NOT NULL default '',
	`is_register` tinyint(1) NOT NULL default '0',
	`e_mail` varchar(40) NOT NULL default '',
	`edit_user` varchar(40) NOT NULL default '0',
	`edit_time` int(10) NOT NULL default '0',
	`hidden` tinyint(1) NOT NULL default '0',
	PRIMARY KEY  (`pid`)
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_email";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_email (
	`id` int(11) NOT NULL default '0',
	`name` varchar(40) NOT NULL default '',
	`template` text NOT NULL,
	PRIMARY KEY  (`id`)
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_files";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_files (
	`file_id` int(11) NOT NULL auto_increment,
	`file_type` varchar(10) NOT NULL default '',
	`forum_id` int(11) NOT NULL default '0',
	`topic_id` int(11) NOT NULL default '0',
	`post_id` int(11) NOT NULL default '0',
	`file_attach` tinyint(1) NOT NULL default '0',
	`file_name` varchar(250) NOT NULL default '',
	`onserver` varchar(250) NOT NULL default '',
	`file_author` varchar(40) NOT NULL default '',
	`file_date` int(10) NOT NULL default '0',
	`file_size` int(11) NOT NULL default '0',
	`dcount` int(11) NOT NULL default '0',
	PRIMARY KEY  (`file_id`)
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_groups";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_groups (
	`group_id` int(11) NOT NULL default '0',
	`group_colour` varchar(40) NOT NULL default '',
	`offline` tinyint(1) NOT NULL default '0',
	`post_edit` tinyint(1) NOT NULL default '0',
	`post_del` tinyint(1) NOT NULL default '0',
	`topic_set` tinyint(1) NOT NULL default '0',
	`topic_edit` tinyint(1) NOT NULL default '0',
	`topic_del` tinyint(1) NOT NULL default '0',
	`vote` tinyint(1) NOT NULL default '0',
	`flood` char(1) NOT NULL default '0',
	`html` tinyint(1) NOT NULL default '0',
	`filter` tinyint(1) NOT NULL default '0',
	KEY `group_id` (`group_id`)
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_poll_log";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_poll_log (
	`id` int(11) unsigned NOT NULL auto_increment,
	`topic_id` int(10) unsigned NOT NULL default '0',
	`member` varchar(30) NOT NULL default '',
	PRIMARY KEY  (`id`),
	KEY `news_id` (`topic_id`,`member`)
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_reputation_log";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_reputation_log (
	`rid` int(11) NOT NULL auto_increment,
	`mid` varchar(8) NOT NULL default '0',
	`author` varchar(40) NOT NULL,
	`action` char(1) NOT NULL,
	`cause` text NOT NULL,
	`date` int(10) NOT NULL default '0',
	PRIMARY KEY  (`rid`)
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_sessions";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_sessions (
	`id` varchar(60) NOT NULL default '0',
	`member_name` varchar(64) NOT NULL default '',
	`user_group` int(11) NOT NULL default '5',
	`member_id` mediumint(8) NOT NULL default '0',
	`ip` varchar(16) NOT NULL default '',
	`browser` varchar(200) NOT NULL default '',
	`running_time` int(10) NOT NULL default '0',
	`location` varchar(40) NOT NULL default '',
	`act_index` int(10) NOT NULL default '0',
	`act_forum` int(10) NOT NULL default '0',
	`act_topic` int(10) NOT NULL default '0',
	PRIMARY KEY  (`id`),
	KEY `act_topic` (`act_topic`),
	KEY `act_forum` (`act_forum`),
	KEY `act_index` (`act_index`),
	KEY `running_time` (`running_time`)
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_subscription";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_subscription (
	`sid` int(11) NOT NULL auto_increment,
	`user_id` mediumint(8) NOT NULL default '0',
	`topic_id` int(10) NOT NULL default '0',
	PRIMARY KEY  (`sid`)
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_titles";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_titles (
	`id` int(11) NOT NULL auto_increment,
	`posts` int(11) NOT NULL default '0',
	`title` varchar(128) NOT NULL default '',
	`pips` varchar(128) NOT NULL default '',
	KEY `id` (`id`)
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_views";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_views (
	`topic_id` int(11) NOT NULL default '0',
	`forum_id` int(11) NOT NULL default '0',
	`user_id` mediumint(8) NOT NULL default '0',
	`time` int(11) default NULL
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_warn_log";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_warn_log (
	`wid` int(11) NOT NULL auto_increment,
	`mid` varchar(8) NOT NULL default '0',
	`author` varchar(40) NOT NULL,
	`action` char(1) NOT NULL,
	`cause` text NOT NULL,
	`date` int(10) NOT NULL default '0',
	PRIMARY KEY  (`wid`)
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	$db_query[] = "DROP TABLE IF EXISTS " . PREFIX . "_forum_moderators";
	
	$db_query[] = "CREATE TABLE " . PREFIX . "_forum_moderators (
	`mid` mediumint(8) NOT NULL auto_increment,
	`forum_id` int(11) NOT NULL default '0',
	`member_name` varchar(32) NOT NULL default '',
	`member_id` mediumint(8) NOT NULL default '0',
	`edit_post` tinyint(1) default NULL,
	`edit_topic` tinyint(1) default NULL,
	`delete_post` tinyint(1) default NULL,
	`delete_topic` tinyint(1) default NULL,
	`open_topic` tinyint(1) NOT NULL default '0',
	`close_topic` tinyint(1) default NULL,
	`mass_prune` tinyint(1) default NULL,
	`move_topic` tinyint(1) default NULL,
	`pin_topic` tinyint(1) default NULL,
	`unpin_topic` tinyint(1) default NULL,
	`allow_warn` tinyint(1) default NULL,
	`is_group` tinyint(1) default '0',
	`group_id` smallint(3) default NULL,
	PRIMARY KEY  (`mid`),
	KEY `forum_id` (`forum_id`),
	KEY `group_id` (`group_id`),
	KEY `member_id` (`member_id`)
	) TYPE=MyISAM /*!40101 DEFAULT CHARACTER SET {$db_charset} COLLATE {$db_collate} */";
	
	// Mail tpl //
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_email VALUES (1, 'subscription_text', 'Hello, {%username_to%}!\r\n\r\n{%username_from%} responded to the topic \"{%topic_name%}\", to which you signed.\r\n\r\nThe topic can be found at:\r\n\r\n{%topic_link%}\r\n\r\n------------------------------------------------\r\nYou can unsubscribe at any time from such lists via the link:\r\n\r\n{%topic_link_del%}\r\n\r\n------------------------------------------------\r\n\r\nBest regards,\r\n\r\nAdministration $url')";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_email VALUES (2, 'frend_text', '{%username_to%},\r\n\r\nThis letter you sent {%username_from%} from the site $url\r\n\r\n------------------------------------------------\r\nMessage\r\n------------------------------------------------\r\n\r\n{%text%}\r\n\r\n------------------------------------------------\r\nRemember that the administration site is not responsible for the content of the letter\r\n\r\nBest regards,\r\n\r\nAdministration $url')";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_email VALUES (3, 'report_text', 'This complaint sent to you {%username_from%} from the site $url\r\n\r\n------------------------------------------------\r\nText of complaint\r\n------------------------------------------------\r\n\r\n{%text%}\r\n\r\n------------------------------------------------\r\nA summary of the complaint\r\n------------------------------------------------\r\n\r\nSubject: {%topic_link%}\r\n\r\nID messages: {%post_id%}\r\n\r\n------------------------------------------------\r\n\r\nBest regards,\r\n\r\nAdministration $url')";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_email VALUES (4, 'new_topic', 'Dear Administrator,\r\n\r\nto alert you that the forum site  $url has been added Theme.\r\n\r\n------------------------------------------------\r\nA summary of the topic\r\n------------------------------------------------\r\n\r\nBy: {%username%}\r\nLast update: {%date%}\r\nThe title of the topic: {%title%}\r\nThe reference to the topic: {%link%}\r\n\r\n\r\nBest regards,\r\n\r\nAdministration $url')";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_category VALUES (1, 'انجمن هاي تخصصي', 1)";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_forums VALUES (1, 0, 1, 1, 0, 'ديتالايف انجين', 'سيستم مديريت محتواي فارسي ديتالايف انجين', 1, 1, '1:2:3:4:5', '1:2:3:4', '1', '1', '1', '1:2:3:4', 1, 'سلام', '{$topic_date}', 'Mohammad_1ta', '', '', '', '', '')";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_topics VALUES (1, 1, 'سلام', '', 0, 0, 'Mohammad_1ta', '{$topic_date}', '{$topic_date}', 'Mohammad_1ta', 0, 0, 1, '', '', '', 0, '', 0)";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_posts VALUES (1, 1, '{$topic_date}', 'Mohammad_1ta', 'سلام,<BR> اميدواريم از امکانات اين انجمن لذت ببريد.<br /><br /><b>DLE English Support Site: <a href=\"http://english.datalifecms.ir/\" target=\"_blank\">English.DatalifeCms.ir</a></b><br /><b>DLE Persian Support Site: <a href=\"http://datalifecms.ir/\" target=\"_blank\">DatalifeCms.ir</a></b><br /><b>Full & Free Softwares For PC: <a href=\"http://syarashtools.com/\" target=\"_blank\">SyarashTools.com</a></b>', '127.0.0.1', 1, '', '0', 0, 0)";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_groups VALUES (1, 'red', 1, 1, 1, 1, 1, 1, 1, '0', 0, 0)";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_groups VALUES (2, 'blue', 0, 1, 1, 1, 1, 1, 1, '0', 0, 0)";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_groups VALUES (3, '', 0, 1, 1, 1, 0, 0, 1, '1', 0, 1)";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_groups VALUES (4, '', 0, 1, 1, 0, 0, 0, 1, '1', 0, 1)";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_groups VALUES (5, '', 0, 0, 0, 0, 0, 0, 0, '0', 0, 0)";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_moderators VALUES (1, 0, '', 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1)";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_moderators VALUES (2, 0, '', 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 2)";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_moderators VALUES (3, 0, '', 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 3)";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_moderators VALUES (4, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 4)";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_moderators VALUES (5, 0, '', 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 5)";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_titles VALUES (1, 0, 'عضو جديد', '1')";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_titles VALUES (2, 10, 'عضو فعال', '2')";
	
	$db_query[] = "INSERT INTO " . PREFIX . "_forum_titles VALUES (3, 30, 'عضو پيشرفته', '3')";
	
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users DROP `forum_post`";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users DROP `forum_warn`";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users DROP `forum_update`";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users DROP `forum_rank`";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users DROP `forum_pips`";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users DROP `forum_reputation`";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users DROP `forum_last`";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_post DROP `news_tid`";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_category DROP `forum_id`";
	
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users ADD `forum_post` SMALLINT( 5 ) DEFAULT '0' NOT NULL";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users ADD `forum_warn` SMALLINT( 5 ) DEFAULT '0' NOT NULL";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users ADD `forum_update` VARCHAR( 20 ) DEFAULT '0' NOT NULL";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users ADD `forum_rank` VARCHAR( 40 ) DEFAULT '0' NOT NULL";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users ADD `forum_pips` SMALLINT( 2 ) DEFAULT '0' NOT NULL";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users ADD `forum_reputation` SMALLINT( 5 ) DEFAULT '0' NOT NULL";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_users ADD `forum_last` VARCHAR( 20 ) DEFAULT '0' NOT NULL";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_post ADD `news_tid` SMALLINT( 5 ) DEFAULT '0' NOT NULL";
	
	$db_query[] = "ALTER TABLE " . PREFIX . "_category ADD `forum_id` SMALLINT( 5 ) DEFAULT '0' NOT NULL";
	
?>