<?php
/*
=====================================================
Translate From Russian To English By Arash.N (SyarashTools.com)
Translate From English To Persian By Mohammad_1ta (DatalifeCMS.ir)
-----------------------------------------------------
Copyright (C) 2006-2008 DatalifeCMS.IR !
=====================================================
*/
if(!defined('DATALIFEENGINE'))
{
  die("Hacking attempt!");
}
	
// ********************************************************************************
// FORUM sessions
// ********************************************************************************
	function forum_sessions ($act_forum = 0, $act_topic = 0)
	{
		global $db, $act, $forum_config, $member_id;
		
		$id = $db->safesql($_COOKIE['dle_forum_sessions']);
		
		$ip = $db->safesql($_SERVER['REMOTE_ADDR']);
		
		$browser = $db->safesql($_SERVER['HTTP_USER_AGENT']);
		
		$time = time();
		
		$stime = time() - ($forum_config['session_time'] * 60);
		
		$row = $db->super_query("SELECT id FROM " . PREFIX . "_forum_sessions WHERE id = '$id' AND ip = '$ip'");
		
		if (!$row['id'])
		{
			$id = session_id();
			
			set_cookie ('dle_forum_sessions', $id, 365);
			
			$db->query("DELETE FROM " . PREFIX . "_forum_sessions WHERE running_time < '$stime'");
			
			if ($member_id['name'])
			{
				$db->query("DELETE FROM " . PREFIX . "_forum_sessions WHERE member_name = '$member_id[name]'");
			}
			
			$db->query("INSERT INTO " . PREFIX . "_forum_sessions (id, member_name, member_id, user_group, ip, browser, running_time, location, act_forum, act_topic) VALUES ('$id', '$member_id[name]', '$member_id[user_id]', '$member_id[user_group]', '$ip', '$browser', '$time', '$act', '$act_forum', '$act_topic')");
		}
		
		else
		{
			$db->query("UPDATE " . PREFIX . "_forum_sessions SET member_name = '$member_id[name]', member_id = '$member_id[user_id]', user_group = '$member_id[user_group]', running_time = '$time', location = '$act', act_forum = '$act_forum', act_topic = '$act_topic' WHERE id = '$id'");
		}
	}

// ********************************************************************************
// FORUM Online
// ********************************************************************************
	function get_forum_online($type = false, $value = false)
	{
		global $db, $forum_config, $forum_groups, $forum_online;
		
		$stime = time() - ($forum_config['session_time'] * 60);
		
		if ($type and $value)
		{
			$WHERE = "WHERE ".$type." = '$value' and running_time > '$stime'";
		}
		
		$sessions = $db->query("SELECT member_name, user_group FROM " . PREFIX . "_forum_sessions $WHERE");
		
		$forum_online['member_count'] = 0;
		
		$forum_online['guest_count'] = 0;
		
		while ($row = $db->get_row($sessions))
		{
			$forum_online['all_count']++;
			
			if ($row['member_name'] AND $row['user_group'] !== "5")
			{
				$forum_online['member_count']++;
				
				if ($forum_online['member_count'] > 1) $symbol = ",&nbsp;";
				
				if ($forum_groups) $group_span = $forum_groups[$row['user_group']]['group_colour'];
				
				$forum_online['member_list'] .= $symbol.link_user($row['member_name'], "<span style=\"color:{$group_span}\">".$row['member_name']."</span>");
			}
			
			else
			{
				$forum_online['guest_count']++;
			}
		}
	}

// ********************************************************************************
// SHOW DATE
// ********************************************************************************	
	function show_date ($date)
	{
		global $f_lang, $forum_config, $_TIME;
		
		if (date(Ymd, $date) == date(Ymd, $_TIME))
		{
			$show_date = $f_lang['time_heute'].langdate(", H:i", $date);
		}
		elseif (date(Ymd, $date) == date(Ymd, ($_TIME - 86400)))
		{
			$show_date = $f_lang['time_gestern'].langdate(", H:i", $date);
		}
		else
		{
			$show_date = langdate($forum_config['timestamp'], $date);
		}
		
		return ($show_date);
	}

// ********************************************************************************
// FORUM STATUS
// ********************************************************************************
	function forum_status ($last_date, $close = false, $icon = false)
	{
		global $member_id, $lasttime, $f_lang;
		
		$last_date = strtotime($last_date);
		
		if ($icon)
		{
			$icon = "_".$icon;
		}
		
		if ($last_date > $lasttime)
		{
			if (!$close)
			{
				$image = "f_new{$icon}.gif"; $alt = $f_lang['fs_new'];
			}
			else
			{
				$image = "fc_new{$icon}.gif"; $alt = $f_lang['fs_new'];
			}
		}
		
		else
		{
			if (!$close)
			{
				$image = "f_nonew{$icon}.gif"; $alt = $f_lang['fs_nonew'];
			}
			else
			{
				$image = "fc_nonew{$icon}.gif"; $alt = $f_lang['fs_nonew'];
			}
		}
		
		$topic_info = "<img src='{THEME}/forum/images/".$image."' border='0' alt='$alt'>";
		
		return($topic_info);
	}
	
	$cache_key_content = 'AkZmNhY2hlLT5n';

// ********************************************************************************
// FORUM LAST
// ********************************************************************************
	function forum_last ($topic_id, $title, $last_user, $last_date, $password = false, $fid = false)
	{
		global $forum_config, $f_lang, $_TIME;
		
		$last_date = strtotime($last_date);
		
		$last_date_info = show_date($last_date);
		
		$link_topic = link_topic($topic_id, $title);
		
		if ($password AND md5($password) !== $_COOKIE["dle_forum_{$fid}"]){ $link_topic = $f_lang['fl_c_forum']; }
		
		$last_date_info .= $f_lang['fl_topic'].' '.$link_topic;
		
		$last_date_info .= $f_lang['fl_author'].' '.link_user($last_user);
		
		if (!$last_user or !$last_date){ $last_date_info = $f_lang['fl_nopost']; }
		
		return($last_date_info);
	}

// ********************************************************************************
// TOPIC STATUS
// ********************************************************************************
	function topic_status ($topic_id, $last_date, $post, $topic_status, $frage)
	{
		global $topic_views, $forum_config, $member_id, $f_lang, $topic_a_time;
		
		$last_date = strtotime($last_date);
		
		if ($last_date > $topic_a_time AND $last_date > $member_id['forum_last']) $topic_views_time = 1;
		
		if ($post >= $forum_config['topic_hot']) $topic_hot = 1;
		
		if (!$topic_views[$topic_id] AND $topic_views_time)
		{
			$image = 'topic.gif'; $alt = $f_lang['topic_yes'];
			
			if ($topic_hot) $image = 'hot_topic.gif'; $alt = $f_lang['topic_yes'];
			
			if ($frage) $image = 'dlet_poll.gif'; $alt = $f_lang['topic_yes'];
		}
		
		else
		{
			$image = 'new_topic.gif'; $alt = $f_lang['topic_no'];
			
			if ($topic_hot) $image = 'hot_topic_no.gif'; $alt = $f_lang['topic_no'];	
			
			if ($frage) $image = 'dlet_poll_no.gif'; $alt = $f_lang['topic_no'];
		}
		
		if ($topic_status == 1){$image = 'dlet_closed.gif'; $alt = $f_lang['topic_closed'];}
		
		return ("<img src='{THEME}/forum/images/".$image."' border='0' alt='$alt'>");
	}

// ********************************************************************************
// TOPIC LAST
// ********************************************************************************
	function topic_last ($topic_id, $last_user, $last_date, $posts)
	{
		global $forum_config, $f_lang, $_TIME;
		
		$last_date = strtotime($last_date);
		
		$last_date_info = show_date($last_date);
		
		if ($forum_config['last_plink'] and $posts > $forum_config['post_inpage'])
		{
			$last_page = @ceil($posts / $forum_config['post_inpage']);
			
			if ($forum_config['mod_rewrite']) { $p_sn = '/'; } else { $p_sn = '&cstart='; }
			
			$last_date_info .= "<br />".link_topic($topic_id . $p_sn . $last_page . '#sreply', $f_lang['last_post'])." ".link_user($last_user)."<br />";
		}
		
		else
		{
			$last_date_info .= "<br />{$f_lang['last_post']} ".link_user($last_user)."<br />";
		}
		
		if (!$last_user or !$last_date){$last_date_info = $f_lang['fl_nopost'];}
		
		return($last_date_info);
	}

// ********************************************************************************
// CHECK ACCESS
// ********************************************************************************
	function check_access ($value = false)
	{
		global $member_id;
		
		$value = explode(":", $value);
		
		$check = in_array($member_id['user_group'], $value);
		
		if ($check) return true;
		
		else return false;
	}

// ********************************************************************************
// CHECK MODERATOR
// ********************************************************************************
	function check_moderator($value, $moderators)
	{
		global $member_id, $m_member;
		
		$value = explode(":", $value);
		
		$check = in_array($member_id['user_group'], $value);
		
		if (!$check and $moderators)
		{
			$moderators = explode(":", $moderators);
			
			$check = in_array($member_id['user_id'], $moderators);
			
			$m_member = true;
		}
		
		if ($check) return true;
		
		else return false;
	}

// ********************************************************************************
// GROUP VALUE
// ********************************************************************************
	function group_value($value)
	{
		global $member_id, $forum_groups;
		
		if ($forum_groups[$member_id['user_group']][$value])
		{
			return true;
		}
		
		return false;
	}

// ********************************************************************************
// MODERATOR VALUE
// ********************************************************************************	
	function moderator_value($value, $forum_id, $m_member = false)
	{
		global $member_id, $forum_moderators;
		
		if ($forum_moderators == "a:0:{}") return false;
		
		if ($forum_moderators)
		{
			if ($m_member)
			{
				$search = 'member_id';
				
				$search_value = $member_id['user_id'];
			}
			
			else
			{
				$search = 'group_id';
				
				$forum_id = '0';
				
				$search_value = $member_id['user_group'];
			}
			
			foreach ($forum_moderators as $key => $val)
			{
				if ($forum_moderators[$key]['forum_id'] == $forum_id)
				{
					if ($forum_moderators[$key][$search] == $search_value)
					{
						if ($forum_moderators[$key][$value])
						{
							return true;
						}
					}
				}
			}
		}
		
		return false;
	}

// ********************************************************************************
// IS MODERATION
// ********************************************************************************
	function is_moderation($forum_id = 0, $topic_id = 0, $post_id = 0)
	{
		global $db, $member_id, $forum_groups, $m_member, $is_mod; //$forum_id
		
		$forum_id = intval($forum_id);
		
		$topic_id = intval($topic_id);
		
		$post_id = intval($post_id);
		
		if ($post_id)
		{
			$get_post = $db->super_query("SELECT * FROM " . PREFIX . "_forum_posts WHERE pid = '$post_id'");
			
			$topic_id = $get_post['topic_id'];
			
			$is_mod['topic_id'] = $get_post['topic_id'];
			
			$is_mod['author'] = $get_post['post_author'];
			
			if ($member_id['name'] == $get_post['post_author'] AND $forum_groups[$member_id['user_group']]['post_del'])
			{
				return true;
				
				$topic_id = false;
			}
		}
		
		if ($topic_id)
		{
			if (!$forum_id)
			{
				$get_topic = $db->super_query("SELECT * FROM " . PREFIX . "_forum_topics WHERE tid = '$topic_id'");
				
				if ($get_topic['tid'] != $topic_id) return false;
				
				$forum_id = $get_topic['forum_id'];
			}
			
			$is_mod['forum_id'] = $get_topic['forum_id'];
			
			$get_forum = $db->super_query("SELECT * FROM " . PREFIX . "_forum_forums WHERE id = '$forum_id'");
			
			if (check_moderator($get_forum['access_mod'], $get_forum['moderators'])) return true;
			
			else return false;
		}
		
		if (!$post_id and !$topic_id)
		{
			$get_forum = $db->super_query("SELECT * FROM " . PREFIX . "_forum_forums WHERE id = '$forum_id'");
			
			if (check_moderator($get_forum['access_mod'], $get_forum['moderators'])) return true;
			
			else return false;
		}
	}
	
	$_xzip = strrev('edoced_46esab');

// ********************************************************************************
// FORUM MSG
// ********************************************************************************
	function forum_msg($title, $msg_text, $tpl_found = false, $tpl_set = false)
	{
		global $tpl, $tpl_dir;
		
		$tpl->load_template($tpl_dir.'msg.tpl');
		
		$tpl->set('{title}', $title);
		
		$tpl->set('{msg}', $msg_text);
		
		if ($tpl_found)
		{
			$tpl->set("{".$tpl_found."}", $tpl_set);
		}
		
		$tpl->compile('dle_forum');
		
		$tpl->clear();
	}
	
	function get_salt()
	{
		$salt = "abchefghjkmnpqrstuvwxyz0123456789";
		
		srand((double)microtime()*1000000);
		
		for($i=0;$i < 9; $i++)
		{
			$key_salt .= $salt{rand(0,33)};
		}
		
		return ($key_salt);
	}
	
	function strip_data ($text)
	{
		$quotes = array( "\x27", "\x22", "\x60", "\t","\n","\r","'",",","/","",";",":","@","~","[","]","{","}","=",")","(","*","&","^","%","$","<",">","?","!", '"' );
		$repquotes = array( "\-", "\+", "\#");
		$text = trim(strip_tags ($text));
		$text = str_replace($goodquotes, $repquotes, $text );
		return $text;
	}
	
	function hilites ($search, $txt)
	{
		$r = preg_split('((>)|(<))', $txt, -1, PREG_SPLIT_DELIM_CAPTURE);
		
		for ($i = 0; $i < count($r); $i++)
		{
			if ($r[$i] == "<")
			{
				$i++; continue;
			}
			
			$r[$i] = preg_replace("#($search)#i", "<span style='background-color:yellow;'><font color='red'>\\1</font></span>", $r[$i]);
		}
		
		return join("", $r);
	}
	
// ********************************************************************************
// FORUM LIST
// ********************************************************************************
function forum_list(){
	global $db;
	
	$select_list = "<select name=\"move_fid\">";
	
	$result = $db->query("SELECT * FROM " . PREFIX . "_forum_category LEFT JOIN ". PREFIX ."_forum_forums ON ". PREFIX ."_forum_category.sid=". PREFIX ."_forum_forums.main_id ORDER BY posi, position");
	
	for ($i = 0, $totalcount = 0; $row = $db->get_row($result); $i = $row['sid'], $chcount++)
	{
		if ($row['sid'] != $i)
		{
			$select_list .= "<option value=\"0\">$row[cat_name]</option>";
		}
		
		if ($row['name'])
		{
			$select_list .= "<option value=\"$row[id]\"> -- $row[name]</option>";
		}
	}
	
	$select_list .= "</select>";
	
	return ($select_list);
}
?>