<?php
/*
=====================================================
Translate From Russian To English By Arash.N (SyarashTools.com)
Translate From English To Persian By Mohammad_1ta (DatalifeCMS.ir)
-----------------------------------------------------
Copyright (C) 2006-2008 DatalifeCMS.IR !
=====================================================
*/

@error_reporting(7);
@ini_set('display_errors', true);
@ini_set('html_errors', false);

@session_start();

define('DATALIFEENGINE', true);
define('ROOT_DIR', '../../..');
define('ENGINE_DIR', ROOT_DIR.'/engine');

include ENGINE_DIR.'/data/config.php';
require_once ENGINE_DIR.'/classes/mysql.php';
require_once ENGINE_DIR.'/data/dbconfig.php';
require_once ENGINE_DIR.'/modules/functions.php';
require_once ENGINE_DIR.'/data/forum_config.php';
require_once ENGINE_DIR.'/forum/sources/components/functions.php';

// start check //

$_REQUEST['skin'] = end (explode (DIRECTORY_SEPARATOR, $_REQUEST['skin']));
if (!@is_dir(ROOT_DIR.'/templates/'.$_REQUEST['skin']))
{
	die ("Hacking attempt!");
}

$user_group = get_vars ("usergroup");

if (!$user_group) {
  $user_group = array ();

  $db->query("SELECT * FROM " . USERPREFIX . "_usergroups ORDER BY id ASC");

  while($row = $db->get_row()){

   $user_group[$row['id']] = array ();

     foreach ($row as $key => $value)
     {
       $user_group[$row['id']][$key] = $value;
     }

  }
  set_vars ("usergroup", $user_group);
  $db->free();
}

require_once ENGINE_DIR.'/modules/sitelogin.php';

if (!$is_logged)
{
	$member_id['user_group'] = 5;
}

$config['charset'] = ($lang['charset'] != '') ? $lang['charset'] : $config['charset'];

function decode_to_utf8($int=0)
{
		$t = '';

		if ( $int < 0 )
		{
			return chr(0);
		}
		else if ( $int <= 0x007f )
		{
			$t .= chr($int);
		}
		else if ( $int <= 0x07ff )
		{
			$t .= chr(0xc0 | ($int >> 6));
			$t .= chr(0x80 | ($int & 0x003f));
		}
		else if ( $int <= 0xffff )
		{
			$t .= chr(0xe0 | ($int  >> 12));
			$t .= chr(0x80 | (($int >> 6) & 0x003f));
			$t .= chr(0x80 | ($int  & 0x003f));
		}
		else if ( $int <= 0x10ffff )
		{
			$t .= chr(0xf0 | ($int  >> 18));
			$t .= chr(0x80 | (($int >> 12) & 0x3f));
			$t .= chr(0x80 | (($int >> 6) & 0x3f));
			$t .= chr(0x80 | ($int  &  0x3f));
		}
		else
		{ 
			return chr(0);
		}
		
		return $t;
}

function convert_unicode($t, $to = 'windows-1251')
{
		$to = strtolower($to);

		if ($to == 'utf-8') {

			$t = preg_replace( '#%u([0-9A-F]{1,4})#ie', "decode_to_utf8(hexdec('\\1'))", utf8_encode($t) );
			$t = urldecode ($t);

		} else {

			$t = preg_replace( '#%u([0-9A-F]{1,4})#ie', "'&#' . hexdec('\\1') . ';'", $t );
			$t = urldecode ($t);
    		$t = @html_entity_decode($t, ENT_NOQUOTES, $to);

		}

		return $t;
}

// end  //

$action   = $_POST['action'];
$cause    = $_POST['cause'];
$user_id  = intval($_POST['user_id']);
$post_id  = intval($_POST['post_id']);
$forum_id = intval($_POST['forum_id']);

$time = time();

$forum_result = $db->super_query("SELECT * FROM " . PREFIX . "_forum_forums WHERE id = '$forum_id'");

$check_moderator = check_moderator($forum_result['access_mod'], $forum_result['moderators']);

if ($check_moderator)
{
	$user_result = $db->super_query("SELECT * FROM " . PREFIX . "_users WHERE user_id = '$user_id'");
	
	if ($user_result['user_id'] == $user_id)
	{
		if ($member_id['user_group'] !== 1)
		{
			$count = $db->super_query("SELECT COUNT(*) as count FROM " . PREFIX . "_forum_warn_log WHERE mid = '$user_id' and author = '{$member_id['name']}'");
			
			if ($count['count'] > $forum_config['warn_day'])
			{
				die();
			}
		}
		
		$forum_config['warn_group'] = explode (',', $forum_config['warn_group']);
		
		if ($forum_config['warn_group'])
		{
			if (in_array($user_result['user_group'], $forum_config['warn_group']))
			{
				$user_group_deny = TRUE;
			}
		}
		
		if ($user_result['forum_warn'] > 0 AND !$user_group_deny)
		{
			$access_minus = TRUE;
		}
		
		if ($user_result['forum_warn'] < $forum_config['warn_max'] AND !$user_group_deny)
		{
			$access_add = TRUE;
		}
		
		if ($action == "add")
		{
			$warn_user = ($user_result['forum_warn'] + 1);
		}
		
		if ($action == "minus")
		{
			$warn_user = ($user_result['forum_warn'] - 1);
		}
	}
	
	else
	{
		die();
	}
	
	$warn_set = (5 / $forum_config['warn_max']);
	
	$warn_num = ceil($warn_set * $warn_user);
	
	$warn_pt = "{$warn_user} / {$forum_config['warn_max']}";
	
	$warn_add = "<a onClick=\"FWarn('add', '$user_id', '$post_id', '$forum_id');\" title='Add warning'><img src='{THEME}/forum/images/warn_add.gif' alt='+' border='0' /></a>";
	
	$warn_minus = "<a onClick=\"FWarn('minus', '$user_id', '$post_id', '$forum_id');\" title='Remove warning'><img src='{THEME}/forum/images/warn_minus.gif' alt='-' border='0' /></a>";
	
}

else
{
	die();
}

$cause = $db->safesql(addslashes(convert_unicode($cause, $config['charset'])));

if ($action == "add" AND $access_add)
{
	$db->query("UPDATE " . PREFIX . "_users SET forum_warn = forum_warn+1 WHERE user_id = '$user_id'");
	
	$db->query("INSERT INTO " . PREFIX . "_forum_warn_log  (mid, author, action, cause, date) VALUES ('$user_id', '$member_id[name]', '+', '$cause', '$time')");
	
	$buffer = "{$warn_minus}<img src='{THEME}/forum/images/warn{$warn_num}.gif' alt='{$warn_pt}' border='0' />{$warn_add}";
}

if ($action == "minus" AND $access_minus)
{
	$db->query("UPDATE " . PREFIX . "_users SET forum_warn = forum_warn-1 WHERE user_id = '$user_id'");
	
	$db->query("INSERT INTO " . PREFIX . "_forum_warn_log  (mid, author, action, cause, date) VALUES ('$user_id', '$member_id[name]', '-', '$cause', '$time')");
	
	$buffer = "{$warn_minus}<img src='{THEME}/forum/images/warn{$warn_num}.gif' alt='{$warn_pt}' border='0' />{$warn_add}";
}

if (!$buffer)
{
	if ($warn_num < 0)
	{
		$warn_num = '0';
	}
	
	else
	{
		$warn_num = ($warn_num - 1);
	}
	
	$buffer  = "<img src='{THEME}/forum/images/warn_minus.gif' alt='-' border='0' />";
	$buffer .= "<img src='{THEME}/forum/images/warn{$warn_num}.gif' border='0' />";
	$buffer .= "<img src='{THEME}/forum/images/warn_add.gif' alt='+' border='0' />";
}

$buffer = str_replace('{THEME}', $config['http_home_url'].'templates/'.$_REQUEST['skin'], $buffer);

@header("HTTP/1.0 200 OK");
@header("HTTP/1.1 200 OK");
@header("Cache-Control: no-cache, must-revalidate, max-age=0");
@header("Expires: 0");
@header("Pragma: no-cache");
@header("Content-type: text/css; charset=".$config['charset']);
echo $buffer;

?>